Bug 41349 - ucsschool-import: support change of school
ucsschool-import: support change of school
Status: CLOSED WORKSFORME
Product: UCS@school
Classification: Unclassified
Component: Import scripts
UCS@school 4.1 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
:
Depends on: 40870 41620
Blocks: 41239
  Show dependency treegraph
 
Reported: 2016-05-25 17:14 CEST by Daniel Tröder
Modified: 2016-06-28 18:24 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2016-05-25 17:14:37 CEST
Support change of school.

A student or teacher can move from school A to school B. Three scenarios are possible:

* School A and B have the same source DB → User.source_uid. The user object and its data (incl uidNumber and sambaSID) should be retained. AFAIK this is supported by the lib with User.move() → Bug #40870

* School A and B have the same source DB → User.source_uid but the two schools manage their users data independently. Two scenarios are possible:
  - The user is removed from school A prior to being added to B. If the account was deleted and not deactivated the data is lost and a new account will be created.
  - The user is created by school B prior to being removed from A. If multiple-school-accounts are implemented, the user account will exist for a period of time on both schools.

* School A and B have different source DB. The account cannot be transferred. A new account will be created on school B.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-05-26 11:22:25 CEST
> A student or teacher can move from school A to school B. 

... or schooladmin or staff ...
Comment 2 Daniel Tröder univentionstaff 2016-06-06 14:59:29 CEST
AFAICS the move of users between schools is implemented entirely by the lib. If user.school or user.schools is changed and user.modify() run, then everything is done as expected, the import code is not involved.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-06-15 23:48:17 CEST
Works as expected; added test for school change in 34_import-users_via_cli_v2
→ VERIFIED

ucs-test-ucsschool (3.0.12-6):
r70241 | Bug #41349: added test for school change in 34_import-users_via_cli_v2
Comment 4 Florian Best univentionstaff 2016-06-28 18:24:54 CEST
UCS@school 4.1 R2 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1R2v1-de.pdf

If this error occurs again, please use "Clone This Bug".